Skip to main content
POST
/
v1
/
operations
/
{operationId}
/
documents
/
complete
Complete operation document upload
curl --request POST \
  --url https://sandbox.payfi.global/v1/operations/{operationId}/documents/complete \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <api-key>' \
  --header 'X-PayFi-Api-Key: <api-key>' \
  --header 'X-PayFi-Nonce: <api-key>' \
  --header 'X-PayFi-Signature: <api-key>' \
  --data '
{
  "documentId": "doc_example",
  "sha256": "abc123",
  "completedAt": "2026-06-03T15:00:00-03:00"
}
'
{
  "documentId": "doc_example",
  "status": "CLEAN",
  "operationStatus": "DOCUMENTS_UPLOADED"
}

Authorizations

X-PayFi-Api-Key
string
header
required
X-PayFi-Nonce
string
header
required
X-PayFi-Signature
string
header
required
Idempotency-Key
string
header
required

Path Parameters

operationId
string
required

Operation ID.

Body

application/json

Uploaded document completion payload.

documentId
string
required
Example:

"doc_example"

uploadSessionId
string
Example:

"ups_example"

sha256
string
Example:

"abc123"

completedAt
string
Example:

"2026-06-03T15:00:00-03:00"

Response

Upload completed.

documentId
string
Example:

"doc_example"

status
enum<string>
Available options:
REGISTERED,
UPLOAD_PENDING,
UPLOADED,
SCANNING,
CLEAN,
REJECTED,
PROCESSING,
PROCESSED,
PROCESSING_FAILED
Example:

"CLEAN"

operationStatus
enum<string> | null
Available options:
CREATED,
REQUIREMENTS_PENDING,
REQUIREMENTS_REVIEW_REQUIRED,
REQUIREMENTS_FAILED,
AWAITING_DOCUMENTS,
DOCUMENTS_PARTIAL,
DOCUMENTS_UPLOADED,
PROCESSING,
PROCESSING_FAILED,
ACTION_REQUIRED,
READY_FOR_MANUAL_REVIEW,
MANUAL_REVIEW_APPROVED,
MANUAL_REVIEW_REJECTED,
MANUAL_REVIEW_CHANGES_REQUESTED,
PARTNER_CALLBACK_PENDING,
PARTNER_CALLBACK_DELIVERED,
PARTNER_CALLBACK_FAILED,
CANCELLED,
FAILED
Example:

"DOCUMENTS_UPLOADED"